Module jdk.compiler
Package com.sun.source.doctree

# Interface ErroneousTree

All Superinterfaces:
  `DocTree`, `TextTree`

    public interface ErroneousTree
    extends TextTree

A tree node to stand in for a malformed text

Since:
  1.8

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Diagnostic<JavaFileObject>` | `getDiagnostic()` | Returns a diagnostic object giving details about the reason the body text is in error.

### Methods declared in interface com.sun.source.doctree.DocTree

`accept, getKind`

### Methods declared in interface com.sun.source.doctree.TextTree

`getBody`

## Method Details

### getDiagnostic

Diagnostic<JavaFileObject> getDiagnostic()
Returns a diagnostic object giving details about the reason the body text is in error.

Returns:
  a diagnostic